---
name: Tom Plumadore
start_date: 2019-03-04
locality: Atlanta, Ga
country: USA
role: <a href="/job-families/sales/area-sales-manager/">Southeast Area Sales Manager</a>
reports_to: mpyle
picture: tomplumadore.jpeg
twitter: 
gitlab: Plumadore
departments:
- Sales
- Sales NQR
story: ''
